---
- name: "📁 create jellyfin config directory"
  ansible.builtin.file:
    path: "{{ volume_root_dir }}/jellyfin/jellyfin_config"
    state: directory

- name: write jellyfin Configuration
  ansible.builtin.template:
    src: "templates/system.xml.j2"
    dest: "{{ volume_root_dir }}/jellyfin/jellyfin_config/system.xml"

- include_tasks: roles/container_base/tasks/create_container.yml
  vars:
    app_name: "jellyfin"
    app_image: "docker.io/linuxserver/jellyfin:nightly-version-20221113.10-unstable"
    app_dir_volumes:
      - "{{ volume_root_dir }}/jellyfin/jellyfin_config:/config:Z,rbind,noexec"
      - "{{ volume_root_dir }}/jellyfin/jellyfin_movies:/data/movies:Z,rbind,noexec"
      - "{{ volume_root_dir }}/jellyfin/jellyfin_tvshows:/data/tvshows:Z,rbind,noexec"
    app_env:
      PUID: "1000"
      PGID: "1000"
      TZ: "{{ time_zone }}"
      MALLOC_ARENA_MAX: "2"
